Index: general.ent
===================================================================
--- general.ent	(revision ef59e50d7db6ab410dcd3349a5365143d69cb238)
+++ general.ent	(revision d977fb582fe99cf6372fa66d03b6fce6b0ac5f90)
@@ -6,5 +6,5 @@
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "6.0">                  <!-- cvs|[release #] -->
-<!ENTITY lfs-version  "development">          <!-- version|stable|testing|unstable|development] -->
+<!ENTITY lfs-version  "6.0">                  <!-- version|stable|testing|unstable] -->
 <!ENTITY last-commit  "$Date$"> <!-- Automatic update -->
 
@@ -33,5 +33,5 @@
 <!ENTITY cracklib-version             "2.7">   
 <!ENTITY Linux_PAM-version            "0.78">  
-<!ENTITY shadow-version               "4.0.7">  
+<!ENTITY shadow-version               "4.0.4.1">  
 <!ENTITY iptables-version             "1.3.1"> 
 <!ENTITY gnupg-version                "1.4.0">  
@@ -48,5 +48,5 @@
 <!-- Chapter 6 -->                
 <!ENTITY vim-version                  "6.3">  
-<!ENTITY emacs-version                "21.4a">  
+<!ENTITY emacs-version                "21.4">  
 <!ENTITY nano-version                 "1.2.4">  
 <!ENTITY joe-version                  "3.1"> 
@@ -65,6 +65,6 @@
 <!ENTITY fam-version                  "2.7.0">
 <!ENTITY libxml-version               "1.8.17">
-<!ENTITY libxml2-version              "2.6.18">
-<!ENTITY libxslt-version              "1.1.13">
+<!ENTITY libxml2-version              "2.6.17">
+<!ENTITY libxslt-version              "1.1.12">
 <!ENTITY gmp-version                  "4.1.4">
 <!ENTITY gdbm-version                 "1.8.3">
@@ -84,10 +84,10 @@
 <!ENTITY LZO-version                  "1.08">
 <!ENTITY libpcap-version              "0.8.3">
-<!ENTITY libusb-version               "0.1.10a">
+<!ENTITY libusb-version               "0.1.8">
                                      
 <!-- Chapter 9 -->                   
 <!ENTITY libjpeg-version              "6b">
 <!ENTITY libpng-version               "1.2.8">
-<!ENTITY libtiff-version              "3.7.2">
+<!ENTITY libtiff-version              "3.7.1">
 <!ENTITY libungif-version             "4.1.3">
 <!ENTITY giflib-version               "4.1.3">
@@ -95,5 +95,5 @@
 <!ENTITY lcms-version                 "1.14">
 <!ENTITY freetype2-version            "2.1.9">
-<!ENTITY fontconfig-version           "2.3.1">
+<!ENTITY fontconfig-version           "2.2.3">
 <!ENTITY libart_lgpl-version          "2.3.16">
 <!ENTITY librsvg-version              "2.8.1">
@@ -111,5 +111,5 @@
 <!ENTITY intltool-version             "0.32.1">
 <!ENTITY screen-version               "4.0.2">
-<!ENTITY tidy-version                 "050324">
+<!ENTITY tidy-version                 "050305">
 <!ENTITY desktop-file-utils-version   "0.10">
 <!ENTITY xscreensaver-version         "4.19">
@@ -121,16 +121,16 @@
 <!ENTITY hdparm-version               "5.8">
 <!ENTITY which-version                "2.16">
-<!ENTITY unzip-version                "5.52">
+<!ENTITY unzip-version                "5.51">
 <!ENTITY zip-version                  "2.31">
 <!ENTITY pciutils-version             "2.1.11">
-<!ENTITY pkgconfig-version            "0.16.0">
+<!ENTITY pkgconfig-version            "0.15.0">
 <!ENTITY cpio-version                 "2.6">
 <!ENTITY mc-version                   "4.6.0">
-<!ENTITY sysstat-version              "5.1.5">
+<!ENTITY sysstat-version              "5.0.6">
 <!ENTITY apache-ant-version           "1.6.2">
                                      
 <!-- Chapter 12 -->                  
-<!ENTITY Python-version               "2.4.1">
-<!ENTITY LFS-Perl-version             "5.8.6">
+<!ENTITY Python-version               "2.4">
+<!ENTITY LFS-Perl-version             "5.8.5">
 <!ENTITY Module-Info-version          "0.26">
 <!ENTITY Gtk-Perl-version             "0.7009">
@@ -175,7 +175,7 @@
 <!ENTITY j2sdk-src-version            "1.4.2">
 <!ENTITY ruby-version                 "1.8.2">
-<!ENTITY expect-version               "5.43.0">
+<!ENTITY expect-version               "5.42.1">
 <!ENTITY dejagnu-version              "1.4.4">
-<!ENTITY gcc-version                  "3.4.3">
+<!ENTITY gcc-version                  "3.4.1">
 <!ENTITY tcl-version                  "8.4.9">
 <!ENTITY tk-version                   "8.4.9">
@@ -418,5 +418,5 @@
 <!-- Part XII -->
 <!-- Chapter 37 --> 
-<!ENTITY alsa-version                 "1.0.8"> 
+<!ENTITY alsa-version                 "1.0.7"> 
 <!ENTITY alsa-lib-version             "&alsa-version;"> 
 <!ENTITY alsa-utils-version           "&alsa-version;">  
@@ -485,13 +485,13 @@
 <!ENTITY sgml-common-version          "0.6.3">
 <!ENTITY sgml-dtd-3-version           "3.1">   
-<!ENTITY sgml-dtd-version             "4.4">   
+<!ENTITY sgml-dtd-version             "4.3">   
 <!ENTITY opensp-version               "1.5.1"> 
 <!ENTITY openjade-version             "1.3.2">   
-<!ENTITY docbook-dsssl-version        "1.79">
+<!ENTITY docbook-dsssl-version        "1.78">
 <!ENTITY docbook-utils-version        "0.6.14">
 
 <!-- Chapter 44 --> 
-<!ENTITY DocBook-version              "4.4">
-<!ENTITY docbook-xsl-version          "1.68.1">  
+<!ENTITY DocBook-version              "4.3">
+<!ENTITY docbook-xsl-version          "1.67.2">  
 
 <!-- Chapter 45 --> 
